h1 {
    text-align: center;
}

.main-cont {
    text-align: center;
    align-items: center;
}

.posts {
    align-content: start;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.posts a {
    color: black;
    text-decoration: none;
    width: fit-content;
    height: fit-content;
}

.post_box {
    width: fit-content;
    height: fit-content;
    box-sizing: border-box;
    padding: 10px;
    margin: auto;
}

.post-img {
    width: 70%;
    height: auto;
}

.button.primary {
    background-color: #007BFF;
    color: white;
    cursor: pointer;
    width: 30%;
    padding: 1.2%;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}

.button.primary:hover {
    background-color: #0056b3;
}

@media screen and (max-width: 750px) {

    a {
        width: fit-content;
        height: fit-content;
    }

    .posts {
        display: block;
        width: 80%;
        margin: auto;
    }

    .post_box {
        text-align: center;
        height: fit-content;
        width: fit-content;
        margin: auto;
    }

    .post-img {
        width: 100%;
        height: auto;
    }
}